[Distutils] imho Distutils should stop this from happening to poor users....

Tarek Ziadé ziade.tarek at gmail.com
Thu Jun 18 11:29:23 CEST 2009

On Thu, Jun 18, 2009 at 11:25 AM, Ronald Oussoren<ronaldoussoren at mac.com> wrote:
> On 18 Jun, 2009, at 11:22, Tarek Ziadé wrote:
>> On Thu, Jun 18, 2009 at 11:05 AM, Ronald Oussoren<ronaldoussoren at mac.com>
>> wrote:
>>> The only way to achieve that at the moment is to add some code to
>>> setup.py
>>> that explicitly raises an exception when you try to build it on an
>>> unsupported platform.
>> Or to provide binary releases because python version and os info are
>> set in the archive name.
>> But it's hackish.
> A binary release that does nothing would indeed be hackish, and would be
> worse than the existing error because a binary package gives the impression
> that the platform is actually supported.

IIRC if you provide only binary releases for supported platforms,
easy_install will  end up saying it didn't find the appropriate

I'm not saying it's the way to go, but I know some people distribute
only bdist_egg to make sure their packages are
used with the right Python version.

> Ronald

Tarek Ziadé | http://ziade.org

More information about the Distutils-SIG mailing list